%bcond_without check

# https://pagure.io/golist
%global goipath         pagure.io/golist
%global forgeurl        https://pagure.io/golist

Summary:        A tool to analyse the properties of a Go (Golang) codebase
Name:           golist
Version:        0.10.4
Release:        3%{?dist}
License:        BSD-3-Clause
URL:            https://pagure.io/golist
Source:         https://pagure.io/golist/archive/v%{version}/golist-%{version}.tar.gz

#satisfy the buildrequires
Source1:        %{name}-%{version}-bootstrap.tar.gz

BuildRequires:  go-rpm-macros

%description
A tool to analyse the properties of a Go (Golang) codebase.

%prep
%autosetup -p1
mkdir -p %{_builddir}/go/src/github.com
tar -xzf %{SOURCE1} -C %{_builddir}/go/src/github.com
mkdir -p %{_builddir}/go/src/pagure.io
ln -sfn $PWD  %{_builddir}/go/src/pagure.io/golist

%build
export GOPATH=%{_builddir}/go

%gobuild -o %{gobuilddir}/bin/golist cmd/golist/golist.go

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%doc README.md NEWS.md
%license LICENSE
%{_bindir}/golist

%changelog
* Mon Sep 02 2024 jackeyji <jackeyji@tencent.com> - 0.10.4-3
- rebuild for loongarch64

* Thu Jul 25 2024 Siyuan Lou <siyuanlou@tencent.com> - 0.10.4-2
- fix url

* Wed Jul 17 2024 Siyuan Lou <siyuanlou@tencent.com> - 0.10.4-1
- initial build
